<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>DecreaseTaxFactor()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#afa9594a9dd7e6c6c498d39191fe0ca0c">gg::Gameplay</a></li>
<li>DecrementNumberOfSubscribedEvents()&#160;:&#160;<a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">gg::IEventSubscriber</a></li>
<li>Demolish()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#a76a69b3e834982cd5b64fbb7a391eeda">gg::Gameplay</a></li>
<li>Destroy()&#160;:&#160;<a class="el" href="classgg_1_1FontManager.html#ae98945795e04f64faa7190f0b09d6e80">gg::FontManager</a>, <a class="el" href="classgg_1_1GameEngine.html#a080186cb7aba33d72ffe3591dc076742">gg::GameEngine</a>, <a class="el" href="classgg_1_1SceneManager.html#a139c16f910b93062998904c24958cc1c">gg::SceneManager</a>, <a class="el" href="classgg_1_1StyleManager.html#a861aed9d6f5af123cc98a0f6f123ef02">gg::StyleManager</a>, <a class="el" href="classgg_1_1TextureManager.html#ad6fc0243a4813620ce29deb0762e39af">gg::TextureManager</a></li>
<li>draw()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#a3f38d7040b594ba8b50a2eb68fca1489">gg::Box</a>, <a class="el" href="classgg_1_1Button.html#accac99f58d2748b890cfdd1c4f0cdf88">gg::Button</a>, <a class="el" href="classgg_1_1Container.html#a896a47b4a8836491b66ade3e1bdc4b8c">gg::Container</a>, <a class="el" href="classgg_1_1ControlsMenu.html#a26912def714fcf58b3fd6fd56354edc6">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1Gameplay.html#ab08df82618b9c1bd32f89387f7e44de0">gg::Gameplay</a>, <a class="el" href="classgg_1_1GameState.html#a73aefae71e9c2b1d25570209eb8060ba">gg::GameState</a>, <a class="el" href="classgg_1_1Image.html#a7c1c9028f6404dae2793147bb7147991">gg::Image</a>, <a class="el" href="classgg_1_1Map.html#ad8e46e7efd7649d812d494893d374c84">gg::Map</a>, <a class="el" href="classgg_1_1PauseMenu.html#af3fda584245cd84b8cf1f0d593661516">gg::PauseMenu</a>, <a class="el" href="classgg_1_1Scene.html#a7435abe9524adbe082832bca365363a9">gg::Scene</a>, <a class="el" href="classgg_1_1Tile.html#ad5401c7e1b74b3c556b1960d150c15f1">gg::Tile</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
